For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
Getting StartedAPI ReferenceRoadmapBlog
Getting StartedAPI ReferenceRoadmapBlog
    • Resources
    • Authentication
    • Pagination
    • Rate limiting
  • API Keys
    • GETList api keys
    • GETGet api key
    • POSTCreate api key
    • PUTUpdate api key
    • DELDelete api key
  • Environments
    • POSTCreate environment
    • PUTUpdate environment
    • DELDelete environment
  • Plans
    • The Plan object
    • GETList plans
    • GETGet plan
    • POSTCreate plan
    • PUTUpdate plan
    • DELDelete plan
  • Companies
    • The Company object
    • GETList companies
    • POSTUpsert company
    • GETLookup company
    • DELDelete company
    • POSTDelete company by keys
    • GETList company memberships
    • POSTGet or create company membership
    • DELDelete company membership
    • POSTUpsert company trait
  • Users
    • The User object
    • GETList users
    • GETLookup user
    • POSTUpsert user
    • DELDelete user
    • POSTDelete user by keys
    • POSTUpsert user trait
  • Events
    • The Event object
    • GETList events
    • POSTCreate event
    • POSTCreate event batch
    • GETGet event
  • Features
    • The Feature object
    • GETList features
    • GETGet feature
    • POSTCreate feature
    • PUTUpdate feature
    • DELDelete feature
  • Flags
    • The Flag object
    • GETList flags
    • GETGet flag
    • POSTCreate flag
    • PUTUpdate flag
    • DELDelete flag
    • PUTUpdate flag rules
    • POSTCheck flag
    • POSTCheck flags
  • Entitlements
    • GETList company overrides
    • GETGet company override
    • POSTCreate company override
    • PUTUpdate company override
    • DELDelete company override
    • GETList plan entitlements
    • GETGet plan entitlement
    • POSTCreate plan entitlement
    • PUTUpdate plan entitlement
    • DELDelete plan entitlement
  • Feature Usage
    • GETList feature usage
  • Billing Credits
    • GETList credits
    • POSTCreate credit
    • GETGet credit
    • PUTUpdate credit
    • DELDelete credit
    • GETList credit bundles
    • POSTCreate credit bundle
    • GETGet credit bundle
    • PUTUpdate credit bundle
    • DELDelete credit bundle
    • POSTGrant credits to company
    • GETList company credit grants
    • GETList credit grants
    • PUTZero out credit grant
    • GETList plan credit grants
    • POSTCreate plan credit grant
    • DELDelete plan credit grant
    • GETGet credit ledger
  • Account Members
    • GETList account members
    • GETGet account member
LogoLogo
SupportDashboard
API Keys

List api keys

GET
https://api.schematichq.com/api-keys
GET
/api-keys
1import { SchematicClient } from "@schematichq/schematic-typescript-node";
2
3async function main() {
4 const client = new SchematicClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.accounts.listApiKeys({
8 requireEnvironment: true,
9 });
10}
11main();
1{
2 "data": [
3 {
4 "created_at": "2024-01-15T09:30:00Z",
5 "id": "api_key_7890abcd",
6 "name": "Dev API Key",
7 "readonly": true,
8 "scopes": [
9 "admin",
10 "read",
11 "write"
12 ],
13 "updated_at": "2024-04-01T10:00:00Z",
14 "description": "Key for accessing development environment APIs",
15 "environment": {
16 "created_at": "2023-12-01T08:00:00Z",
17 "environment_type": "development",
18 "id": "env_dev_123456",
19 "name": "Development Environment",
20 "updated_at": "2024-01-10T12:00:00Z"
21 },
22 "environment_id": "env_dev_123456",
23 "integration": {
24 "id": "intg_4567efgh",
25 "state": "active",
26 "type": "clerk"
27 },
28 "last_used_at": "2024-04-20T15:45:00Z"
29 }
30 ],
31 "params": {
32 "environment_id": "env_dev_123456",
33 "limit": 100,
34 "offset": 0,
35 "require_environment": true
36 }
37}
Was this page helpful?
Previous

Get api key

Next
Built with

Authentication

X-Schematic-Api-Keystring
API Key authentication via header

Query parameters

environment_idstringOptional
require_environmentbooleanRequired
limitlongOptional

Page limit (default 100)

offsetlongOptional

Page offset (default 0)

Response

OK
datalist of objects
paramsobject
Input parameters

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error